#
# spec file for package python-pyRXP
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-pyRXP
Version:        3.0.1
Release:        2.15
Summary:        Python RXP interface - fast validating XML parser
License:        BSD-3-Clause
URL:            https://www.reportlab.com
Source0:        https://files.pythonhosted.org/packages/source/p/pyRXP/pyRXP-%{version}.tar.gz
# LICENSE MISSING IN SOURCE TARBALL
Source1:        https://hg.reportlab.com/hg-public/pyRXP/raw-file/9ee8c8d7cc04/LICENSE.txt
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
PyRXP is a Python language wrapper around the excellent RXP parser, a
validating, namespace-aware XML parser written in C.

%prep
%setup -q -n pyRXP-%{version}
cp %{SOURCE1} .

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
# No way to execute the tests and they are mostly just py2 syntax based.

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitearch}/*

%changelog
* Thu Feb 17 2022 Atri Bhattacharya <badshah400@gmail.com>
- Disable python2 builds: no longer supported by upstream.
* Thu Jan 20 2022 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 3.0.1:
  * No release notes.
* Thu Dec  9 2021 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 3.0.0:
  * No release notes.
* Fri Apr 24 2020 Atri Bhattacharya <badshah400@gmail.com>
- Drop %%check section, tests use tox which tries to download
  packages from the network and does not work due to the missing
  LICENSE file in any case.
* Thu Apr 23 2020 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 2.1.2
  - No changelog found upstream.
- Include as additional source the LICENSE.txt file missing from
  source tarball.
* Mon Jun 18 2018 badshah400@gmail.com
- Initial package.
